wxWidgets: wxAuiTabContainer Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxAuiTabContainer Class Reference
Class List by Category » Window Docking (wxAUI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/aui/auibook.h>`

## Detailed Description

wxAuiTabContainer is a class which contains information about each tab.

It also can render an entire tab control to a specified DC. It's not a window class itself, because this code will be used by the wxAuiNotebook, where it is disadvantageous to have separate windows for each tab control in the case of "docked tabs".

A derived class, wxAuiTabCtrl, is an actual wxWindow - derived window which can be used as a tab control in the normal sense.

##

Library: wxAui

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxAuiTabContainer ()
| Default ctor.
virtual | ~wxAuiTabContainer ()
| Default dtor.
void | SetArtProvider (wxAuiTabArt *art)
wxAuiTabArt * | GetArtProvider () const
void | SetFlags (unsigned int flags)
unsigned int | GetFlags () const
bool | AddPage (wxWindow *page, const wxAuiNotebookPage &info)
bool | InsertPage (wxWindow *page, const wxAuiNotebookPage &info, size_t idx)
bool | MovePage (wxWindow *page, size_t newIdx)
bool | RemovePage (wxWindow *page)
bool | SetActivePage (wxWindow *page)
bool | SetActivePage (size_t page)
void | SetNoneActive ()
int | GetActivePage () const
bool | TabHitTest (int x, int y, wxWindow **hit) const
bool | ButtonHitTest (int x, int y, wxAuiTabContainerButton **hit) const
wxWindow * | GetWindowFromIdx (size_t idx) const
int | GetIdxFromWindow (wxWindow *page) const
size_t | GetPageCount () const
wxAuiNotebookPage & | GetPage (size_t idx)
const wxAuiNotebookPage & | GetPage (size_t idx) const
wxAuiNotebookPageArray & | GetPages ()
void | SetNormalFont (const wxFont &normalFont)
void | SetSelectedFont (const wxFont &selectedFont)
void | SetMeasuringFont (const wxFont &measuringFont)
void | SetColour (const wxColour &colour)
void | SetActiveColour (const wxColour &colour)
void | DoShowHide ()
void | SetRect (const wxRect &rect)
void | RemoveButton (int id)
void | AddButton (int id, int location, const wxBitmap &normalBitmap=wxNullBitmap, const wxBitmap &disabledBitmap=wxNullBitmap)
size_t | GetTabOffset () const
void | SetTabOffset (size_t offset)
bool | IsTabVisible (int tabPage, int tabOffset, wxDC *dc, wxWindow *wnd)
void | MakeTabVisible (int tabPage, wxWindow *win)

## Protected Member Functions
virtual void | Render (wxDC *dc, wxWindow *wnd)

## Protected Attributes
wxAuiTabArt * | m_art
wxAuiNotebookPageArray | m_pages
wxAuiTabContainerButtonArray | m_buttons
wxAuiTabContainerButtonArray | m_tabCloseButtons
wxRect | m_rect
size_t | m_tabOffset
unsigned int | m_flags

## Constructor & Destructor Documentation

## ◆ wxAuiTabContainer()

wxAuiTabContainer::wxAuiTabContainer | ( |  | ) |

Default ctor.

## ◆ ~wxAuiTabContainer()

virtual wxAuiTabContainer::~wxAuiTabContainer | ( |  | ) |
| virtual

Default dtor.

## Member Function Documentation

## ◆ AddButton()

void wxAuiTabContainer::AddButton | ( | int | id,
|  | int | location,
|  | const wxBitmap & | normalBitmap = wxNullBitmap,
|  | const wxBitmap & | disabledBitmap = wxNullBitmap )

## ◆ AddPage()

bool wxAuiTabContainer::AddPage | ( | wxWindow * | page,
|  | const wxAuiNotebookPage & | info )

## ◆ ButtonHitTest()

bool wxAuiTabContainer::ButtonHitTest | ( | int | x,
|  | int | y,
|  | wxAuiTabContainerButton ** | hit ) const

## ◆ DoShowHide()

void wxAuiTabContainer::DoShowHide | ( |  | ) |

## ◆ GetActivePage()

int wxAuiTabContainer::GetActivePage | ( |  | ) | const

## ◆ GetArtProvider()

wxAuiTabArt * wxAuiTabContainer::GetArtProvider | ( |  | ) | const

## ◆ GetFlags()

unsigned int wxAuiTabContainer::GetFlags | ( |  | ) | const

## ◆ GetIdxFromWindow()

int wxAuiTabContainer::GetIdxFromWindow | ( | wxWindow * | page | ) | const

## ◆ GetPage() [1/2]

wxAuiNotebookPage & wxAuiTabContainer::GetPage | ( | size_t | idx | ) |

## ◆ GetPage() [2/2]

const wxAuiNotebookPage & wxAuiTabContainer::GetPage | ( | size_t | idx | ) | const

## ◆ GetPageCount()

size_t wxAuiTabContainer::GetPageCount | ( |  | ) | const

## ◆ GetPages()

wxAuiNotebookPageArray & wxAuiTabContainer::GetPages | ( |  | ) |

## ◆ GetTabOffset()

size_t wxAuiTabContainer::GetTabOffset | ( |  | ) | const

## ◆ GetWindowFromIdx()

wxWindow * wxAuiTabContainer::GetWindowFromIdx | ( | size_t | idx | ) | const

## ◆ InsertPage()

bool wxAuiTabContainer::InsertPage | ( | wxWindow * | page,
|  | const wxAuiNotebookPage & | info,
|  | size_t | idx )

## ◆ IsTabVisible()

bool wxAuiTabContainer::IsTabVisible | ( | int | tabPage,
|  | int | tabOffset,
|  | wxDC * | dc,
|  | wxWindow * | wnd )

## ◆ MakeTabVisible()

void wxAuiTabContainer::MakeTabVisible | ( | int | tabPage,
|  | wxWindow * | win )

## ◆ MovePage()

bool wxAuiTabContainer::MovePage | ( | wxWindow * | page,
|  | size_t | newIdx )

## ◆ RemoveButton()

void wxAuiTabContainer::RemoveButton | ( | int | id | ) |

## ◆ RemovePage()

bool wxAuiTabContainer::RemovePage | ( | wxWindow * | page | ) |

## ◆ Render()

virtual void wxAuiTabContainer::Render | ( | wxDC * | dc,
|  | wxWindow * | wnd )
| protectedvirtual

## ◆ SetActiveColour()

void wxAuiTabContainer::SetActiveColour | ( | const wxColour & | colour | ) |

## ◆ SetActivePage() [1/2]

bool wxAuiTabContainer::SetActivePage | ( | size_t | page | ) |

## ◆ SetActivePage() [2/2]

bool wxAuiTabContainer::SetActivePage | ( | wxWindow * | page | ) |

## ◆ SetArtProvider()

void wxAuiTabContainer::SetArtProvider | ( | wxAuiTabArt * | art | ) |

## ◆ SetColour()

void wxAuiTabContainer::SetColour | ( | const wxColour & | colour | ) |

## ◆ SetFlags()

void wxAuiTabContainer::SetFlags | ( | unsigned int | flags | ) |

## ◆ SetMeasuringFont()

void wxAuiTabContainer::SetMeasuringFont | ( | const wxFont & | measuringFont | ) |

## ◆ SetNoneActive()

void wxAuiTabContainer::SetNoneActive | ( |  | ) |

## ◆ SetNormalFont()

void wxAuiTabContainer::SetNormalFont | ( | const wxFont & | normalFont | ) |

## ◆ SetRect()

void wxAuiTabContainer::SetRect | ( | const wxRect & | rect | ) |

## ◆ SetSelectedFont()

void wxAuiTabContainer::SetSelectedFont | ( | const wxFont & | selectedFont | ) |

## ◆ SetTabOffset()

void wxAuiTabContainer::SetTabOffset | ( | size_t | offset | ) |

## ◆ TabHitTest()

bool wxAuiTabContainer::TabHitTest | ( | int | x,
|  | int | y,
|  | wxWindow ** | hit ) const

## Member Data Documentation

## ◆ m_art

wxAuiTabArt* wxAuiTabContainer::m_art
| protected

## ◆ m_buttons

wxAuiTabContainerButtonArray wxAuiTabContainer::m_buttons
| protected

## ◆ m_flags

unsigned int wxAuiTabContainer::m_flags
| protected

## ◆ m_pages

wxAuiNotebookPageArray wxAuiTabContainer::m_pages
| protected

## ◆ m_rect

wxRect wxAuiTabContainer::m_rect
| protected

## ◆ m_tabCloseButtons

wxAuiTabContainerButtonArray wxAuiTabContainer::m_tabCloseButtons
| protected

## ◆ m_tabOffset

size_t wxAuiTabContainer::m_tabOffset
| protected